GoDoxy

Get system info

GET
/metrics/all_system_info

Get system info

Query Parameters

aggregate?string
Value in"cpu_average""memory_usage""memory_usage_percent""disks_read_speed""disks_write_speed""disks_iops""disk_usage""network_speed""network_transfer""sensor_temperature"
interval?string
Formatduration
period?string
Value in"5m""15m""1h""1d""1mo"

Response Body

period specified, aggregated system info by agent name

application/json
  1. response
[key: string]?
Example Request
curl -X GET 'https://example.com/api/v1/metrics/all_system_info'
Example Response
{  "property1": {    "data": [      {        "property1": null,        "property2": null      }    ],    "total": 0  },  "property2": {    "data": [      {        "property1": null,        "property2": null      }    ],    "total": 0  }}